cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/tickets/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'{
"success": true,
"data": [
{
"_id": "el7yuiyep0006msyw2pri1tem1LpJwSc",
"activation_date": "2022-09-15T23:00:00.000Z",
"channel_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"code": "P6J21FF2S",
"discount_quantity_subtract": 0,
"email": "my-client-email@fourvenues.com",
"gender": "female",
"address": "Calle de la Rosa 1",
"language": "es",
"country": "ES",
"postal_code": "28001",
"enter": 0,
"entry_date": 0,
"event_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
"for": 1,
"name": "Miguel Román",
"payment_id": "Cl7yuiyhy0007msyw4vfl5ai6YF4WZRn",
"phone": "+34666666666",
"price": 10,
"raised": 0,
"rate_id": "Tl4gr63fr0xkr01i1gk354qbrSCMLTwl",
"rate_name": "General Access",
"rate_slug": "general-access",
"referral_id": "ñeifupjvx000rwe2m2zuba1z9FqyR2dSL",
"refunded": 0,
"sale_type": "online",
"price_info": {
"_id": "1712861139741",
"price": 10,
"age": 18,
"content": "",
"additional_info": ""
},
"supplements": [
{
"_id": "1712861146044",
"price": 2,
"label": "Bus",
"normalized_label": "bus",
"description": "Bus from the city center to the venue.",
"has_fake_price": false,
"fake_price": 0,
"product_quantity": 1,
"product_quantity_used": 1,
"service_charge_amount": 2,
"service_charge_type": "fixed"
}
],
"status": "activated",
"total_extras": 2,
"total_fees": 1.2,
"total_paid": 13.2,
"invoice_reference": "EV24T-TOX2-0000215",
"corrective_invoice_references": [
"EV24T-COR-H58Z-0000002",
"EV24T-COR-H58Z-0000003"
],
"date": "2025-03-15",
"surcharge_total": 10,
"surcharge": {
"amount": 10,
"payment_method": "card",
"payment_id": "ojvfnwbvebru23ung34",
"state": "completed",
"created_at": "2025-05-09T23:03:21.000Z",
"user_id": "ivnrewiujbgw2983b9ubgbo2"
},
"supplements_service_charge_total": 2,
"total_warranty": 10
}
]
}Tickets
Get tickets
Get all the tickets given a event.
GET
/
tickets
/
cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/tickets/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'{
"success": true,
"data": [
{
"_id": "el7yuiyep0006msyw2pri1tem1LpJwSc",
"activation_date": "2022-09-15T23:00:00.000Z",
"channel_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"code": "P6J21FF2S",
"discount_quantity_subtract": 0,
"email": "my-client-email@fourvenues.com",
"gender": "female",
"address": "Calle de la Rosa 1",
"language": "es",
"country": "ES",
"postal_code": "28001",
"enter": 0,
"entry_date": 0,
"event_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
"for": 1,
"name": "Miguel Román",
"payment_id": "Cl7yuiyhy0007msyw4vfl5ai6YF4WZRn",
"phone": "+34666666666",
"price": 10,
"raised": 0,
"rate_id": "Tl4gr63fr0xkr01i1gk354qbrSCMLTwl",
"rate_name": "General Access",
"rate_slug": "general-access",
"referral_id": "ñeifupjvx000rwe2m2zuba1z9FqyR2dSL",
"refunded": 0,
"sale_type": "online",
"price_info": {
"_id": "1712861139741",
"price": 10,
"age": 18,
"content": "",
"additional_info": ""
},
"supplements": [
{
"_id": "1712861146044",
"price": 2,
"label": "Bus",
"normalized_label": "bus",
"description": "Bus from the city center to the venue.",
"has_fake_price": false,
"fake_price": 0,
"product_quantity": 1,
"product_quantity_used": 1,
"service_charge_amount": 2,
"service_charge_type": "fixed"
}
],
"status": "activated",
"total_extras": 2,
"total_fees": 1.2,
"total_paid": 13.2,
"invoice_reference": "EV24T-TOX2-0000215",
"corrective_invoice_references": [
"EV24T-COR-H58Z-0000002",
"EV24T-COR-H58Z-0000003"
],
"date": "2025-03-15",
"surcharge_total": 10,
"surcharge": {
"amount": 10,
"payment_method": "card",
"payment_id": "ojvfnwbvebru23ung34",
"state": "completed",
"created_at": "2025-05-09T23:03:21.000Z",
"user_id": "ivnrewiujbgw2983b9ubgbo2"
},
"supplements_service_charge_total": 2,
"total_warranty": 10
}
]
}Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Event identifier.
Start date.
End date.
Date field.
Show child attributes
Show child attributes
Limit of tickets.
Offset of tickets.
⌘I